Summary:	A system-independent interface for user-level packet capture.
Name:		libpcap
Group:		Development/Libraries
License:	BSD
Version:	0.9.3
Release:	2
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Patch0:		libpcap-0.8.3-shared-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

%files
  %defattr(-,root,root)
  %doc README CHANGES

  %attr(0444,root,root)		%{_includedir}/pcap-bpf.h
  %attr(0444,root,root)		%{_includedir}/pcap-namedb.h
  %attr(0444,root,root)		%{_includedir}/pcap.h

  %attr(0555,root,root)		%{_libdir}/libpcap.so.*

%package devel
Summary:	libpcap headers and static libraries.
Group:		Development/Libraries
Requires:	libpcap = %{version}

%description devel
This package contains the headers and static libraries for the
libpcap system library.

%files devel
  %defattr(-,root,root)
  %doc %{_mandir}/man3/pcap.3*
  %attr(0444,root,root)		%{_libdir}/libpcap.a
  %attr(0555,root,root)		%{_libdir}/libpcap.so

%prep
%setup -q
%patch0 -p1

%build
  %configure --enable-ipv6

  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

%post   -n libpcap -p /sbin/ldconfig
%postun -n libpcap -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.3, Release 2
  - Upgrade to latest

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.8.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
